include ../../makefile.dep

LIBDIR= ../../lib/$(HOST)
BINDIR= ../../bin/$(HOST)

INCLUDES      = -I../include -I../../include

TARGETS = adcpsect
all:	$(TARGETS)

LIBS1=	 \
   	$(LIBDIR)/matlab$(LIB) \
   	$(LIBDIR)/vstat$(LIB) \
   	$(LIBDIR)/vector$(LIB) \
   	$(LIBDIR)/ocean$(LIB) \
      $(LIBDIR)/use_db$(LIB) \
		$(LIBDIR)/dbsource$(LIB) \
		$(LIBDIR)/ioserv$(LIB)

adcpsect: $(BINDIR)/adcpsect$(EXE)
adcpsectOBJECTS = adcpsect$(OBJ) vgrid$(OBJ) confile$(OBJ) \
		  flux$(OBJ) shipref$(OBJ) seqcor$(OBJ)    \
		  ctd$(OBJ) innercor$(OBJ) detide$(OBJ)\
		  $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/adcpsect$(EXE): $(adcpsectOBJECTS)
	$(CCLINK) -o $@ $(adcpsectOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@

clean:
	$(RM) $(DIRT)
#
